Package de.tudresden.sumo.cmd

## Class Vehicletype

- java.lang.Object
- - de.tudresden.sumo.cmd.Vehicletype

-     public class Vehicletype
      extends Object

  The Class Vehicletype.
  Author:
    Mario Krumnow, Evamarie Wiessner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Vehicletype()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SumoCommand` | `getAccel​(String typeID)` | Returns the maximum acceleration of the named vehicle class.
    `static SumoCommand` | `getApparentDecel​(String typeID)` | Returns The preferred lateral alignment of the type.
    `static SumoCommand` | `getColor​(String typeID)` | Returns the vehicle type's color.
    `static SumoCommand` | `getDecel​(String typeID)` | Returns the maximum deceleration of the names vehicle type.
    `static SumoCommand` | `getEmergencyDecel​(String typeID)` | Returns the maximal physically possible deceleration in m/s^2 of vehicles of this type.
    `static SumoCommand` | `getEmissionClass​(String typeID)` | Returns the emission class of the named vehicle type.
    `static SumoCommand` | `getHeight​(String typeID)` | Returns the height in m of vehicles of this type.
    `static SumoCommand` | `getIDCount()` | Returns the number of all vehicle types in the network.
    `static SumoCommand` | `getIDList()` | Returns a list of all known vehicle types.
    `static SumoCommand` | `getImperfection​(String typeID)` | getImperfection.
    `static SumoCommand` | `getLateralAlignment​(String typeID)` | Returns The preferred lateral alignment of the type.
    `static SumoCommand` | `getLength​(String typeID)` | Returns the length of the named vehicle type.
    `static SumoCommand` | `getMaxSpeed​(String typeID)` | Return the maximum speed of the named vehicle type.
    `static SumoCommand` | `getMaxSpeedLat​(String typeID)` | Returns the maximum lateral speed in m/s of this type.
    `static SumoCommand` | `getMinGap​(String typeID)` | Returns the minimum headway gap of the named vehicle type.
    `static SumoCommand` | `getMinGapLat​(String typeID)` | Returns The desired lateral gap of this type at 50km/h in m.
    `static SumoCommand` | `getParameter​(String typeID, String param)` | Returns the chosen parameter.
    `static SumoCommand` | `getShapeClass​(String typeID)` | getShapeClass.
    `static SumoCommand` | `getSpeedDeviation​(String typeID)` | Returns the speed deviation of the named vehicle type.
    `static SumoCommand` | `getSpeedFactor​(String typeID)` | Return the speed factor of the names vehicle type.
    `static SumoCommand` | `getTau​(String typeID)` | getTau.
    `static SumoCommand` | `getVehicleClass​(String typeID)` | Returns the vehicle class of the names vehicle type.
    `static SumoCommand` | `getWidth​(String typeID)` | Returns the width of the named vehicle type.
    `static SumoCommand` | `setAccel​(String typeID, double accel)` | Sets the vehicle type's wished maximum acceleration to the given value.
    `static SumoCommand` | `setApparentDecel​(String typeID, double decel)` | Sets the apparent deceleration in m/s^2 of vehicles of this type.
    `static SumoCommand` | `setColor​(String typeID, SumoColor color)` | Sets the vehicle type's color.
    `static SumoCommand` | `setDecel​(String typeID, double decel)` | Sets the vehicle type's wished maximum deceleration to the given value.
    `static SumoCommand` | `setEmergencyDecel​(String typeID, double decel)` | Sets the maximal physically possible deceleration in m/s^2 of vehicles of this type.
    `static SumoCommand` | `setEmissionClass​(String typeID, String clazz)` | Sets the vehicle type's emission class to the given value.
    `static SumoCommand` | `setHeight​(String typeID, double height)` | Sets the height in m of vehicles of this type.
    `static SumoCommand` | `setImperfection​(String typeID, double imperfection)` | setImperfection.
    `static SumoCommand` | `setLateralAlignment​(String typeID, String latAlignment)` | Sets the preferred lateral alignment of this type.
    `static SumoCommand` | `setLength​(String typeID, double length)` | Sets the vehicle type's length to the given value.
    `static SumoCommand` | `setMaxSpeed​(String typeID, double speed)` | Sets the vehicle type's maximum speed to the given value.
    `static SumoCommand` | `setMaxSpeedLat​(String typeID, double speed)` | Sets the maximum lateral speed of this type.
    `static SumoCommand` | `setMinGap​(String typeID, double minGap)` | Sets the vehicle type's minimum headway gap to the given value.
    `static SumoCommand` | `setMinGapLat​(String typeID, double minGapLat)` | setImperfection.
    `static SumoCommand` | `setParameter​(String typeID, String param, String value)` | Sets the chosen parameter.
    `static SumoCommand` | `setShapeClass​(String typeID, String clazz)` | setShapeClass.
    `static SumoCommand` | `setSpeedDeviation​(String typeID, double deviation)` | Sets the vehicle type's speed deviation to the given value.
    `static SumoCommand` | `setSpeedFactor​(String typeID, double factor)` | Sets the vehicle type's speed factor to the given value.
    `static SumoCommand` | `setTau​(String typeID, double tau)` | setTau.
    `static SumoCommand` | `setVehicleClass​(String typeID, String clazz)` | Sets the vehicle type's vehicle class to the given value.
    `static SumoCommand` | `setWidth​(String typeID, double width)` | Sets the vehicle type's width to the given value.
    `static SumoCommand` | `setWidth​(String typeID, String newTypeID)` | Duplicates the vType with ID origTypeID.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Vehicletype

          public Vehicletype()

  - ### Method Detail

    - #### getAccel

          public static SumoCommand getAccel​(String typeID)

      Returns the maximum acceleration of the named vehicle class.
      Parameters:
        `typeID` - type id
      Returns:
        acceleration

    - #### getIDCount

          public static SumoCommand getIDCount()

      Returns the number of all vehicle types in the network.
      Returns:
        number of vehicle types

    - #### getColor

          public static SumoCommand getColor​(String typeID)

      Returns the vehicle type's color.
      Parameters:
        `typeID` - type id
      Returns:
        color color

    - #### getDecel

          public static SumoCommand getDecel​(String typeID)

      Returns the maximum deceleration of the names vehicle type.
      Parameters:
        `typeID` - type id
      Returns:
        deceleration

    - #### getEmergencyDecel

          public static SumoCommand getEmergencyDecel​(String typeID)

      Returns the maximal physically possible deceleration in m/s^2 of vehicles of this type.
      Parameters:
        `typeID` - type id
      Returns:
        deceleration

    - #### getLateralAlignment

          public static SumoCommand getLateralAlignment​(String typeID)

      Returns The preferred lateral alignment of the type.
      Parameters:
        `typeID` - type id
      Returns:
        deceleration

    - #### getHeight

          public static SumoCommand getHeight​(String typeID)

      Returns the height in m of vehicles of this type.
      Parameters:
        `typeID` - type id
      Returns:
        deceleration

    - #### getApparentDecel

          public static SumoCommand getApparentDecel​(String typeID)

      Returns The preferred lateral alignment of the type.
      Parameters:
        `typeID` - type id
      Returns:
        deceleration

    - #### getMinGapLat

          public static SumoCommand getMinGapLat​(String typeID)

      Returns The desired lateral gap of this type at 50km/h in m.
      Parameters:
        `typeID` - type id
      Returns:
        deceleration

    - #### getMaxSpeedLat

          public static SumoCommand getMaxSpeedLat​(String typeID)

      Returns the maximum lateral speed in m/s of this type.
      Parameters:
        `typeID` - type id
      Returns:
        deceleration

    - #### getEmissionClass

          public static SumoCommand getEmissionClass​(String typeID)

      Returns the emission class of the named vehicle type.
      Parameters:
        `typeID` - type id
      Returns:
        emission class

    - #### getIDList

          public static SumoCommand getIDList()

      Returns a list of all known vehicle types.
      Returns:
        list of vechicle types

    - #### getImperfection

          public static SumoCommand getImperfection​(String typeID)

      getImperfection.
      Parameters:
        `typeID` - type id
      Returns:
        imperfection

    - #### getLength

          public static SumoCommand getLength​(String typeID)

      Returns the length of the named vehicle type.
      Parameters:
        `typeID` - type id
      Returns:
        length

    - #### getMaxSpeed

          public static SumoCommand getMaxSpeed​(String typeID)

      Return the maximum speed of the named vehicle type.
      Parameters:
        `typeID` - type id
      Returns:
        max speed

    - #### getMinGap

          public static SumoCommand getMinGap​(String typeID)

      Returns the minimum headway gap of the named vehicle type.
      Parameters:
        `typeID` - type id
      Returns:
        min gap

    - #### getParameter

          public static SumoCommand getParameter​(String typeID,
                                                 String param)

      Returns the chosen parameter.
      Parameters:
        `typeID` - a string identifying the vehicle type
        `param` - a string identifying the parameter
      Returns:
        the specific parameter

    - #### setParameter

          public static SumoCommand setParameter​(String typeID,
                                                 String param,
                                                 String value)

      Sets the chosen parameter.
      Parameters:
        `typeID` - the type ID
        `param` - a string identifying the parameter
        `value` - a string identifying the new value
      Returns:
        SumoCommand

    - #### getShapeClass

          public static SumoCommand getShapeClass​(String typeID)

      getShapeClass.
      Parameters:
        `typeID` - type id
      Returns:
        shape class

    - #### getSpeedDeviation

          public static SumoCommand getSpeedDeviation​(String typeID)

      Returns the speed deviation of the named vehicle type.
      Parameters:
        `typeID` - type id
      Returns:
        speed deviation

    - #### getSpeedFactor

          public static SumoCommand getSpeedFactor​(String typeID)

      Return the speed factor of the names vehicle type.
      Parameters:
        `typeID` - type id
      Returns:
        speed factor

    - #### getTau

          public static SumoCommand getTau​(String typeID)

      getTau.
      Parameters:
        `typeID` - type id
      Returns:
        tau

    - #### getVehicleClass

          public static SumoCommand getVehicleClass​(String typeID)

      Returns the vehicle class of the names vehicle type.
      Parameters:
        `typeID` - type id
      Returns:
        vehicle class

    - #### getWidth

          public static SumoCommand getWidth​(String typeID)

      Returns the width of the named vehicle type.
      Parameters:
        `typeID` - type id
      Returns:
        width

    - #### setAccel

          public static SumoCommand setAccel​(String typeID,
                                             double accel)

      Sets the vehicle type's wished maximum acceleration to the given value.
      Parameters:
        `typeID` - type id
        `accel` - acceleration
      Returns:
        SumoCommand

    - #### setColor

          public static SumoCommand setColor​(String typeID,
                                             SumoColor color)

      Sets the vehicle type's color.
      Parameters:
        `typeID` - type id
        `color` - color
      Returns:
        SumoCommand

    - #### setDecel

          public static SumoCommand setDecel​(String typeID,
                                             double decel)

      Sets the vehicle type's wished maximum deceleration to the given value.
      Parameters:
        `typeID` - type id
        `decel` - deceleration
      Returns:
        SumoCommand

    - #### setEmissionClass

          public static SumoCommand setEmissionClass​(String typeID,
                                                     String clazz)

      Sets the vehicle type's emission class to the given value.
      Parameters:
        `typeID` - type id
        `clazz` - emission class
      Returns:
        SumoCommand

    - #### setMinGapLat

          public static SumoCommand setMinGapLat​(String typeID,
                                                 double minGapLat)

      setImperfection.
      Parameters:
        `typeID` - type id
        `minGapLat` - minGapLat
      Returns:
        SumoCommand

    - #### setMaxSpeedLat

          public static SumoCommand setMaxSpeedLat​(String typeID,
                                                   double speed)

      Sets the maximum lateral speed of this type.
      Parameters:
        `typeID` - type id
        `speed` - speed
      Returns:
        SumoCommand

    - #### setApparentDecel

          public static SumoCommand setApparentDecel​(String typeID,
                                                     double decel)

      Sets the apparent deceleration in m/s^2 of vehicles of this type.
      Parameters:
        `typeID` - type id
        `decel` - decel
      Returns:
        SumoCommand

    - #### setImperfection

          public static SumoCommand setImperfection​(String typeID,
                                                    double imperfection)

      setImperfection.
      Parameters:
        `typeID` - type id
        `imperfection` - imperfection
      Returns:
        SumoCommand

    - #### setLateralAlignment

          public static SumoCommand setLateralAlignment​(String typeID,
                                                        String latAlignment)

      Sets the preferred lateral alignment of this type.
      Parameters:
        `typeID` - type id
        `latAlignment` - latAlignment
      Returns:
        SumoCommand

    - #### setHeight

          public static SumoCommand setHeight​(String typeID,
                                              double height)

      Sets the height in m of vehicles of this type.
      Parameters:
        `typeID` - type id
        `height` - height
      Returns:
        SumoCommand

    - #### setEmergencyDecel

          public static SumoCommand setEmergencyDecel​(String typeID,
                                                      double decel)

      Sets the maximal physically possible deceleration in m/s^2 of vehicles of this type.
      Parameters:
        `typeID` - type id
        `decel` - decel
      Returns:
        SumoCommand

    - #### setLength

          public static SumoCommand setLength​(String typeID,
                                              double length)

      Sets the vehicle type's length to the given value.
      Parameters:
        `typeID` - type id
        `length` - length
      Returns:
        SumoCommand

    - #### setMaxSpeed

          public static SumoCommand setMaxSpeed​(String typeID,
                                                double speed)

      Sets the vehicle type's maximum speed to the given value.
      Parameters:
        `typeID` - type id
        `speed` - speed
      Returns:
        SumoCommand

    - #### setMinGap

          public static SumoCommand setMinGap​(String typeID,
                                              double minGap)

      Sets the vehicle type's minimum headway gap to the given value.
      Parameters:
        `typeID` - type id
        `minGap` - minimum gap
      Returns:
        SumoCommand

    - #### setShapeClass

          public static SumoCommand setShapeClass​(String typeID,
                                                  String clazz)

      setShapeClass.
      Parameters:
        `typeID` - type id
        `clazz` - shape class
      Returns:
        SumoCommand

    - #### setSpeedDeviation

          public static SumoCommand setSpeedDeviation​(String typeID,
                                                      double deviation)

      Sets the vehicle type's speed deviation to the given value.
      Parameters:
        `typeID` - type id
        `deviation` - deviation
      Returns:
        SumoCommand

    - #### setSpeedFactor

          public static SumoCommand setSpeedFactor​(String typeID,
                                                   double factor)

      Sets the vehicle type's speed factor to the given value.
      Parameters:
        `typeID` - type id
        `factor` - factor
      Returns:
        SumoCommand

    - #### setTau

          public static SumoCommand setTau​(String typeID,
                                           double tau)

      setTau.
      Parameters:
        `typeID` - type id
        `tau` - tau
      Returns:
        SumoCommand

    - #### setVehicleClass

          public static SumoCommand setVehicleClass​(String typeID,
                                                    String clazz)

      Sets the vehicle type's vehicle class to the given value.
      Parameters:
        `typeID` - type id
        `clazz` - vehicle class
      Returns:
        SumoCommand

    - #### setWidth

          public static SumoCommand setWidth​(String typeID,
                                             double width)

      Sets the vehicle type's width to the given value.
      Parameters:
        `typeID` - type id
        `width` - width
      Returns:
        SumoCommand

    - #### setWidth

          public static SumoCommand setWidth​(String typeID,
                                             String newTypeID)

      Duplicates the vType with ID origTypeID. The newly created vType is assigned the ID newTypeID
      Parameters:
        `typeID` - type id
        `newTypeID` - newTypeID
      Returns:
        SumoCommand